JpaIntegrator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.event
Class JpaIntegrator

    java.lang.Object
      org.hibernate.ejb.event.JpaIntegrator

All Implemented Interfaces:
  Integrator

    public class JpaIntegrator

extends Object
implements Integrator

Prepare the HEM-specific event listeners.

Constructor Summary
`JpaIntegrator()`

Method Summary
`void` | `disintegrate(SessionFactoryImplementor sessionFactory, SessionFactoryServiceRegistry serviceRegistry)` Tongue-in-cheek name for a shutdown callback.
`void` | `integrate(Configuration configuration, SessionFactoryImplementor sessionFactory, SessionFactoryServiceRegistry serviceRegistry)` Perform integration.
`void` | `integrate(MetadataImplementor metadata, SessionFactoryImplementor sessionFactory, SessionFactoryServiceRegistry serviceRegistry)` Perform integration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JpaIntegrator

    public JpaIntegrator()

Method Detail

### integrate

    public void integrate(Configuration configuration,
                          SessionFactoryImplementor sessionFactory,
                          SessionFactoryServiceRegistry serviceRegistry)

  Description copied from interface: `Integrator`
  Perform integration.

  Specified by:
    `integrate` in interface `Integrator`
  Parameters:
    `configuration` - The configuration used to create the session factory
    `sessionFactory` - The session factory being created
    `serviceRegistry` - The session factory's service registry

### integrate

    public void integrate(MetadataImplementor metadata,
                          SessionFactoryImplementor sessionFactory,
                          SessionFactoryServiceRegistry serviceRegistry)

  Perform integration.

  Specified by:
    `integrate` in interface `Integrator`
  Parameters:
    `metadata` - The metadata used to create the session factory
    `sessionFactory` - The session factory being created
    `serviceRegistry` - The session factory's service registry
  See Also:
    `Integrator.integrate(org.hibernate.metamodel.source.MetadataImplementor, org.hibernate.engine.spi.SessionFactoryImplementor, org.hibernate.service.spi.SessionFactoryServiceRegistry)`

### disintegrate

    public void disintegrate(SessionFactoryImplementor sessionFactory,
                             SessionFactoryServiceRegistry serviceRegistry)

  Description copied from interface: `Integrator`
  Tongue-in-cheek name for a shutdown callback.

  Specified by:
    `disintegrate` in interface `Integrator`
  Parameters:
    `sessionFactory` - The session factory being closed.
    `serviceRegistry` - That session factory's service registry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.